Loading...
Searching...
No Matches
blackoilpolymermodules.hh File Reference

Contains the classes required to extend the black-oil model by polymer. More...

`#include <dune/common/fvector.hh>`
`#include <opm/common/OpmLog/OpmLog.hpp>`
`#include <opm/material/common/MathToolbox.hpp>`
`#include <opm/models/blackoil/blackoilpolymerparams.hpp>`
`#include <opm/models/blackoil/blackoilproperties.hh>`
`#include <opm/models/io/vtkblackoilpolymermodule.hpp>`
`#include <opm/models/utils/propertysystem.hh>`
`#include <algorithm>`
`#include <cassert>`
`#include <cmath>`
`#include <cstddef>`
`#include <istream>`
`#include <memory>`
`#include <ostream>`
`#include <stdexcept>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | Opm::BlackOilPolymerModule< TypeTag, enablePolymerV >
| Contains the high level supplements required to extend the black oil model by polymer. More...
class | Opm::BlackOilPolymerIntensiveQuantities< TypeTag, true >
class | Opm::BlackOilPolymerIntensiveQuantities< TypeTag, false >
class | Opm::BlackOilPolymerExtensiveQuantities< TypeTag, true >
class | Opm::BlackOilPolymerExtensiveQuantities< TypeTag, false >

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Variables

template<class TypeTag, bool enablePolymerV>
BlackOilPolymerParams< typename BlackOilPolymerModule< TypeTag, enablePolymerV >::Scalar > | Opm::BlackOilPolymerModule< TypeTag, enablePolymerV >::params_

## Detailed Description

Contains the classes required to extend the black-oil model by polymer.